import { DiscoveredObjectType, Element, Export, Relation, RootContext } from "@syntest/analysis-javascript";
import { StorageManager } from "@syntest/storage";
export declare class StateStorage {
    private storageManager;
    private storagePath;
    constructor(storageManager: StorageManager, storagePath: string);
    exportExtractionComplete(rootContext: RootContext, filepath: string, exports_: Export[]): void;
    elementExtractionComplete(rootContext: RootContext, filepath: string, elements: Map<string, Element>): void;
    relationExtractionComplete(rootContext: RootContext, filepath: string, relations: Map<string, Relation>): void;
    objectTypeExtractionComplete(rootContext: RootContext, filepath: string, objects: Map<string, DiscoveredObjectType>): void;
    typeResolvingComplete(rootContext: RootContext): void;
    save(data: string, filepath: string, type: "exports.json" | "elements.json" | "relations.json" | "objects.json"): void;
    private typeModelToGraphFormat;
}
//# sourceMappingURL=StateStorage.d.ts.map